
#include "aboutframe.h"


enum {
	ID_ABOUTEXIT = 3100
};

IMPLEMENT_CLASS(AboutFrame, wxDialog)

BEGIN_EVENT_TABLE(AboutFrame, wxDialog)
	EVT_BUTTON(ID_ABOUTEXIT, AboutFrame::OnButton)
END_EVENT_TABLE()

AboutFrame::AboutFrame(wxWindow* parent, wxWindowID id, const wxPoint& pos, const wxSize& size) 
	:wxDialog(parent, id, _T("About: WoW Model Viewer"), pos, size, wxCAPTION)
{

	wxStaticText *text = new wxStaticText(this, wxID_ANY, _T("Developers:\n\t UfoZ,  Darjk\n\n\
Pioneers:\n\tUfoZ,  Linghuye,  nSzAbolcs\n\n\
Translators:\n\tCulhag (French), Die_Backe (Deutsch)\n\n\
Developed Using:\n\twxWidgets(2.6.3), wxAUI(0.9.2), OpenGL,\n\
\t zlib, CxImage(5.99c), MPQLib, DDSLib,\n\t GLEW(1.3.3)\n\n\
Build Info:\nVersion 0.48 compiled using Visual C++ 7.1 (2003) for\n\
Windows 98\\ME\\2000\\XP on 10th June 2006\n\n\
http://www.curse-gaming.com/mod.php?addid=2090\n\
http://wowmapview.sourceforge.net/wowmodelview/\n\
http://www.pyoro.com/wowmapview.html\n\n\
World of Warcraft is a Registered trademark of\n\
Blizzard Entertainment. All game material and content\n\
is 2006 Blizzard Entertainment. All rights reserved."), wxPoint(5,5), wxSize(270,350));

	wxButton *btnExit = new wxButton(this, ID_ABOUTEXIT, _("Close"), wxPoint(120, 365), wxSize(60,26));
}

AboutFrame::~AboutFrame()
{
	
}

void AboutFrame::OnButton(wxCommandEvent &event)
{
	if (event.GetId() == ID_ABOUTEXIT)
		this->Close(false);
}

